Bug 1479849 - perl_Package_to_Install_Core_Modules
perl_Package_to_Install_Core_Modules
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: spacewalk-review space27
  Show dependency treegraph
 
Reported: 2017-08-09 10:48 EDT by Miroslav Suchý
Modified: 2017-09-27 15:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-27 15:37:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2017-08-09 10:48:44 EDT
Description of problem:
All perl requires should be changed to:
-BuildRequires:  perl-interpreter
+BuildRequires:  perl

I stumbled upon this on perl-Satcon when rebuilding packages to Fedora.
For more info see:
https://fedoraproject.org/wiki/Changes/perl_Package_to_Install_Core_Modules
Comment 1 Miroslav Suchý 2017-08-09 10:49:27 EDT
oh, the change should be reverse
-BuildRequires:  perl
+BuildRequires:  perl-interpreter
Comment 2 Tomáš Kašpárek 2017-08-10 05:27:23 EDT
spacewalk.git(master): 5f7db03858bc5fecfc0c3f80034bea4098f6a693
5261e47dfb6c199500f18d063695e0aef56c7864
Comment 3 Eric Herget 2017-09-27 15:37:34 EDT
Spacewalk 2.7 has been released.

https://github.com/spacewalkproject/spacewalk/wiki/ReleaseNotes27

Note You need to log in before you can comment on or make changes to this bug.